Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QFileDialog.AcceptMode

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QFileDialog.AcceptMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QFileDialog

    public static final class QFileDialog.AcceptMode

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QFileDialog.AcceptMode` | `AcceptOpen`
`static QFileDialog.AcceptMode` | `AcceptSave`

Method Summary
`static QFileDialog.AcceptMode` | `resolve(int value)` Returns the AcceptMode constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFileDialog.AcceptMode` | `valueOf(java.lang.String name)`
`static QFileDialog.AcceptMode[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### AcceptOpen

    public static final QFileDialog.AcceptMode AcceptOpen

### AcceptSave

    public static final QFileDialog.AcceptMode AcceptSave

Method Detail

### values

    public static QFileDialog.AcceptMode[] values()

### valueOf

    public static QFileDialog.AcceptMode valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFileDialog.AcceptMode resolve(int value)

  Returns the AcceptMode constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD